#ifndef PROGRESSWINDOW_H
#define PROGRESSWINDOW_H

#include <QMainWindow>

namespace Ui {
    class progressWindow;
}

class progressWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit progressWindow(QWidget *parent = 0);
    ~progressWindow();

    void setProgressValue(int);
    void setLabelText(const QString &);
    bool cancel(void){return canceled;}

public slots:
    void setCancel(void){canceled = true;}

private:
    Ui::progressWindow *ui;

    bool canceled;
};

#endif // PROGRESSWINDOW_H
